org.opencv.face

## Class Face

- java.lang.Object
- - org.opencv.face.Face

-     public class Face
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Face()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `drawFacemarks(Mat image, Mat points)`
    `static void` | `drawFacemarks(Mat image, Mat points, Scalar color)`
    `static boolean` | `getFacesHAAR(Mat image, Mat faces, java.lang.String face_cascade_name)`
    `static boolean` | `loadDatasetList(java.lang.String imageList, java.lang.String annotationList, java.util.List<java.lang.String> images, java.util.List<java.lang.String> annotations)`
    `static boolean` | `loadFacePoints(java.lang.String filename, Mat points)`
    `static boolean` | `loadFacePoints(java.lang.String filename, Mat points, float offset)`
    `static boolean` | `loadTrainingData(java.util.List<java.lang.String> filename, java.util.List<MatOfPoint2f> trainlandmarks, java.util.List<java.lang.String> trainimages)`
    `static boolean` | `loadTrainingData(java.lang.String filename, java.util.List<java.lang.String> images, Mat facePoints)`
    `static boolean` | `loadTrainingData(java.lang.String filename, java.util.List<java.lang.String> images, Mat facePoints, char delim, float offset)`
    `static boolean` | `loadTrainingData(java.lang.String imageList, java.lang.String groundTruth, java.util.List<java.lang.String> images, Mat facePoints)`
    `static boolean` | `loadTrainingData(java.lang.String imageList, java.lang.String groundTruth, java.util.List<java.lang.String> images, Mat facePoints, float offset)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Face

          public Face()

  - ### Method Detail

    - #### getFacesHAAR

          public static boolean getFacesHAAR(Mat image,
                                             Mat faces,
                                             java.lang.String face_cascade_name)

    - #### loadDatasetList

          public static boolean loadDatasetList(java.lang.String imageList,
                                                java.lang.String annotationList,
                                                java.util.List<java.lang.String> images,
                                                java.util.List<java.lang.String> annotations)

    - #### loadFacePoints

          public static boolean loadFacePoints(java.lang.String filename,
                                               Mat points,
                                               float offset)

    - #### loadFacePoints

          public static boolean loadFacePoints(java.lang.String filename,
                                               Mat points)

    - #### loadTrainingData

          public static boolean loadTrainingData(java.lang.String filename,
                                                 java.util.List<java.lang.String> images,
                                                 Mat facePoints,
                                                 char delim,
                                                 float offset)

    - #### loadTrainingData

          public static boolean loadTrainingData(java.lang.String filename,
                                                 java.util.List<java.lang.String> images,
                                                 Mat facePoints)

    - #### loadTrainingData

          public static boolean loadTrainingData(java.lang.String imageList,
                                                 java.lang.String groundTruth,
                                                 java.util.List<java.lang.String> images,
                                                 Mat facePoints,
                                                 float offset)

    - #### loadTrainingData

          public static boolean loadTrainingData(java.lang.String imageList,
                                                 java.lang.String groundTruth,
                                                 java.util.List<java.lang.String> images,
                                                 Mat facePoints)

    - #### loadTrainingData

          public static boolean loadTrainingData(java.util.List<java.lang.String> filename,
                                                 java.util.List<MatOfPoint2f> trainlandmarks,
                                                 java.util.List<java.lang.String> trainimages)

    - #### drawFacemarks

          public static void drawFacemarks(Mat image,
                                           Mat points,
                                           Scalar color)

    - #### drawFacemarks

          public static void drawFacemarks(Mat image,
                                           Mat points)

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1